Bug 486088 - nautilus browser mode (nautilus --browser) doesn't start.
nautilus browser mode (nautilus --browser) doesn't start.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 05:49 EST by sangu
Modified: 2009-03-04 15:10 EST (History)
3 users (show)

See Also:
Fixed In Version: nautilus-2.25.91-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 15:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (79.10 KB, text/plain)
2009-02-18 05:49 EST, sangu
no flags Details
reproducer (991 bytes, text/plain)
2009-02-18 11:15 EST, Tomáš Bžatek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 39233 None None None Never

  None (edit)
Description sangu 2009-02-18 05:49:41 EST
Created attachment 332355 [details]
dmesg

Description of problem:
nautilus browser mode (nautilus --browser) doesn't start.

IO high load.  out of memory 
$ dmesg 
<skip>
429298 pages non-shared
Out of memory: kill process 7021 (nautilus) score 696292 or a child
Killed process 7021 (nautilus)

$ cat ~/.xsession-errors
<skip>
(nautilus:6997): Unique-DBus-WARNING **: Error while sending message: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Version-Release number of selected component (if applicable):
2.25.91-1.fc11

How reproducible:
always

Steps to Reproduce:
1. $ nautilus --browser
2.
3.
  
Actual results:


Expected results:


Additional info:
gvfs-1.1.6-1.fc11.x86_64
Comment 1 Tomáš Bžatek 2009-02-18 08:45:43 EST
This is gcc-4.4.0 issue, working on it...
Comment 2 Tomáš Bžatek 2009-02-18 11:15:52 EST
Created attachment 332405 [details]
reproducer

Please check the attachment, this is obviously gcc bug.

Tested on debian gcc 4.3.2 (x86_64) and confirming it works fine.

gcc-4.4.0-0.19.x86_64
glibc-2.9.90-3.x86_64
custom kernel 2.6.28

Feel free to ping me on IRC for more information.
Comment 3 Jakub Jelinek 2009-02-18 15:08:11 EST
Tracked upstream.
Comment 4 Tomáš Bžatek 2009-02-19 08:42:04 EST
Fixed in nautilus-2.25.91-2.fc11
Comment 5 Vinagre 2009-02-19 09:38:42 EST
Thanks Tomáš Bžatek,
I tested the release and after reboot nautilus is again working in browser mode.
Comment 6 Jakub Jelinek 2009-03-04 15:10:54 EST
Should be now fixed in gcc-4.4.0-0.22.

Note You need to log in before you can comment on or make changes to this bug.